> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all currently playing tracks by users



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.feed.getStories
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.feed.getStories:
    get:
      tags:
        - app.rocksky.feed
      summary: Get all currently playing tracks by users
      operationId: app.rocksky.feed.getStories
      parameters:
        - name: size
          in: query
          description: The maximum number of stories to return.
          required: false
          schema:
            type: integer
            minimum: 1
        - name: feed
          in: query
          description: The feed URI to filter stories by.
          required: false
          schema:
            type: string
            format: at-uri
        - name: following
          in: query
          description: >-
            If true, only return stories from users the viewer follows. Requires
            authentication.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.rocksky.feed.defs.storiesView'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.feed.defs.storiesView:
      type: object
      properties:
        stories:
          type: array
          items:
            $ref: '#/components/schemas/app.rocksky.feed.defs.storyView'
    app.rocksky.feed.defs.storyView:
      type: object
      properties:
        album:
          type: string
        albumArt:
          type: string
          format: uri
        albumArtist:
          type: string
        albumUri:
          type: string
          format: at-uri
        artist:
          type: string
        artistUri:
          type: string
          format: at-uri
        avatar:
          type: string
          format: uri
        createdAt:
          type: string
        did:
          type: string
          format: at-identifier
        handle:
          type: string
        id:
          type: string
        title:
          type: string
        trackId:
          type: string
        trackUri:
          type: string
          format: at-uri
        uri:
          type: string
          format: at-uri
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````